<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xExportar($varForm) {
	$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>'')? $varForm["cod"]:"NULL";
	$varNom = $varForm["nam"];
	$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
	
	$sql = "call spQuery_Lista_Precios($varCod,'$varNom', NULL, NULL)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xExportarDetalle($varForm) {
	$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>'')? $varForm["cod"]:"NULL";
	$varPro = (isset($varForm["xcod"]) && $varForm["xcod"]<>'')? $varForm["xcod"]:"NULL";
	$varNom = $varForm["nam"];
	$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
	
	$sql = "call spQuery_Lista_Precios_Detalle($varPro, $varCod, NULL, NULL)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}
	
function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsListaPrecios($var[0],$var[1],$var[2],$var[3],$var[4]);	
	if($varForm["opt"]=="DET")
		$varTabla = $obj->GridDatosDetalle($varForm["xcod"], $varForm["cod"], $varField, $varOrder);
	else
		$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}

function xFormuRegistro($varOpt, $varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsListaPrecios($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuRegistro($varOpt, $varCod);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}

function xFormuDetalle($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsListaPrecios($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuDetalle($varCod);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
	
function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsListaPrecios($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsListaPrecios($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$varTabla.= $obj->FormuBusqueda();
		$varTabla.= "<div id=\"divDatos\">";
		$varTabla.= $obj->GridDatos();		
		$varTabla.= "</div>";
		$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}

function xGrabarDetalle($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsListaPrecios($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabarDetalle($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$varTabla.= $obj->FormuDetalle($varForm["cod"]);
		//$varTabla.= "<div id=\"divDatos\">";
		//$varTabla.= $obj->GridDatos($varForm["cod"]);		
		//$varTabla.= "</div>";
		$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}
	
function xEliminar($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsListaPrecios($var[0],$var[1],$var[2],$var[3],$var[4]);
	$obj->ProcesoEliminar($varCod);	
	return true;
	}

function xEliminarDetalle($varCod, $varLis) {
	$var = VarServer("MYSQLI");
	$obj = new clsListaPrecios($var[0],$var[1],$var[2],$var[3],$var[4]);
	$obj->ProcesoEliminarDetalle($varCod, $varLis);	
	return true;
	}

$xajax->register(XAJAX_FUNCTION, 'seleccionar_producto_listap');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor_lista');

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xFormuDetalle');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xGrabarDetalle');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xEliminarDetalle');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'xExportarDetalle');

$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);		
		}
	function xExportarJS() {
		xajax_xExportar(xajax.getFormValues('form'));		
		}
	function xExportarDetalleJS() {
		xajax_xExportarDetalle(xajax.getFormValues('form'));		
		}
	function xGrabarJS() {
		if (xajax.$("nom") && xajax.$("nom").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN NOMBRE");  
			xajax.$("nom").focus();
			return (false); 
			}
		if (confirm("¿DESE GUARDAR LOS CAMBIOS?")) {
			xajax_xGrabar(xajax.getFormValues('form'));		
			}
		}
	function xGrabarDetalleJS() {
		if (xajax.$("pcod") && xajax.$("pcod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN PRODUCTO");  
			xajax.$("pcod").focus();
			return (false); 
			}
		else if (xajax.$("pre") && xajax.$("pre").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN PRECIO");  
			xajax.$("pre").focus();
			return (false); 
			}
		if (confirm("¿DESE GUARDAR LOS CAMBIOS?")) {
			xajax_xGrabarDetalle(xajax.getFormValues('form'));		
			}
		}
	function xEliminarJS(varCod, varNom, varTab) {
		if(confirm('¿ESTA SEGURO DE ELIMINAR EL REGISTRO?\n====================================\nCodigo \t: '+varCod+'\nNombre \t: '+varNom)) {			
			xajax_xEliminar(varCod);
			EliminarFilaTabla(varTab)
			}
		}
		
	function xEliminarDetalleJS(varCod, varNom, varLis, varTab) {
		if(confirm('¿ESTA SEGURO DE ELIMINAR EL REGISTRO?\n====================================\nCodigo \t: '+varCod+'\nNombre \t: '+varNom)) {			
			xajax_xEliminarDetalle(varCod, varLis);
			EliminarFilaTabla(varTab)
			}	
		}
	function FormuRegistroJS(varOpt, varCod) {
		UnTip();
		xajax_xFormuRegistro(varOpt, varCod);		
		}
	function FormuDetalleJS(varCod) {
		UnTip();
		xajax_xFormuDetalle(varCod);		
		}
</script>
<?php
function MyTable($obj, $Titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";	
	} 
?>